# Uses of Interface
org.eclipse.jface.text.rules.IPartitionTokenScanner

Packages that use IPartitionTokenScanner
Package
Description
org.eclipse.jface.text.rules
Provides a framework for rule based text scanning and uses the framework to provide rule-driven default implementations of `IPresentationDamager`, `IPresentationRepairer` and `IDocumentPartitioner`.

## Uses of IPartitionTokenScanner in org.eclipse.jface.text.rules

Classes in org.eclipse.jface.text.rules that implement IPartitionTokenScanner
Modifier and Type
Class
Description
`class`
`RuleBasedPartitionScanner`
Scanner that exclusively uses predicate rules.
Fields in org.eclipse.jface.text.rules declared as IPartitionTokenScanner
Modifier and Type
Field
Description
`protected IPartitionTokenScanner`
DefaultPartitioner.`fScanner`
Deprecated, for removal: This API element is subject to removal in a future version.
The partitioner's scanner
`protected final IPartitionTokenScanner`
FastPartitioner.`fScanner`
The partitioner's scanner
Constructors in org.eclipse.jface.text.rules with parameters of type IPartitionTokenScanner
Modifier
Constructor
Description
``
`DefaultPartitioner(IPartitionTokenScanner scanner, String[] legalContentTypes)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new partitioner that uses the given scanner and may return partitions of the given legal content types.
``
`FastPartitioner(IPartitionTokenScanner scanner, String[] legalContentTypes)`
Creates a new partitioner that uses the given scanner and may return partitions of the given legal content types.